if [ ! -e parser.do.txt ]; then
 ./reference.sh
fi

doconce format html wasora --html_style=bootswatch_readable --html_toc_depth=1 --pygments_html_style=trac --html_admon=bootstrap_panel  --html_code_style=inherit --html_output=wasora1 || exit 1
cp wasora1.html wasora1_full.html || exit 1
doconce split_html wasora1 --pagination || exit 1

doconce format html wasora --html_style=bootstrap --html_template=bootstrap_purple.html --pygments_html_style=trac --html_admon=bootstrap_panel --html_code_style=inherit --html_output=wasora2 || exit 1
sed -i 's/<h\(.\)>\(.*\)<a name="\(.*\)">/<h\1 id="\3">\2<a name="\3">/' wasora2.html || exit 1
cp wasora2.html wasora2_full.html || exit 1
doconce split_html wasora2 --pagination || exit 1
for i in ._wasora2*.html; do
 sed -i s/href=\"$i#/href=\"#/ $i
done


# doconce format sphinx wasora || exit
# doconce split_rst wasora || exit
# doconce sphinx_dir version=0.2 dirname=sphinx theme=basicstrap wasora || exit
# ./automake_sphinx.py || exit
# cd sphinx
# make html
# cd ..
 
 
# if [ ! -e logo.pdf ]; then
#  inkscape --export-area-drawing --export-pdf=logo.pdf logo.svg
# fi
# ./syntax-tex.sh > syntax.tex
# for i in abstract introduction quickstart description input compilation plugins reference; do
#  doconce format pdflatex $i
#  ptex2tex -DMINTED $i
# done
# pdflatex -shell-escape wasorapdf
