#!/bin/bash
if [ -e ./runtest.sh ]; then
 . ./runtest.sh
elif [ -e examples/runtest.sh ]; then
 . examples/runtest.sh
else
 echo wrong PWD
 exit 77
fi

fdat="fibo.dat"
rm -rf ${fdat}
${wasorabin} ${testdir}fibonacci.was | ${trim} | tee ${fdat}

if [ "x`tail -n1 ${fdat} | tr -d \r`" = "x610" ]; then
 outcome=0
else
 outcome=99
fi

exit $outcome
