#!/bin/bash
if [ -e ./runtest.sh ]; then
 . ./runtest.sh
elif [ -e examples/runtest.sh ]; then
 . examples/runtest.sh
else
 echo wrong PWD
 exit 77
fi

${wasorabin} ${testdir}gendata1d.was > f.dat
${wasorabin} ${testdir}interp1d.was
outcome=$?


if [ "x`which gnuplot`" != "x" ]; then
 if [ "x`uname | cut -c-6`" = "xCYGWIN" ]; then
  if [ "x`ps -e | grep X | wc -l`" = "x0" ]; then
   XWin.exe -multiwindow -clipboard -silent-dup-error > /dev/null &
   sleep 2
  fi
  export DISPLAY=:0.0
 fi
 gnuplot -p -e "plot 'f.dat' pt 2 ti 'data', 'f-interp.dat' w l lt 3 ti 'linear', 'f-interp.dat' u 1:3 w l lw 2 lt 7 ti 'akima'"
fi

exit $outcome
