#!/bin/bash
if [ -e ./runtest.sh ]; then
 . ./runtest.sh
elif [ -e examples/runtest.sh ]; then
 . examples/runtest.sh
else
 echo wrong PWD
 exit 77
fi

${wasorabin} ${testdir}mathace.was > mathace.dat
outcome=$?

if [ "x`which gnuplot`" != "x" ]; then
 if [ "x`uname | cut -c-6`" = "xCYGWIN" ]; then
  if [ "x`ps -e | grep X | wc -l`" = "x0" ]; then
   XWin.exe -multiwindow -clipboard -silent-dup-error > /dev/null &
   sleep 2
  fi
  export DISPLAY=:0.0
 fi
 gnuplot -p -e "plot 'mathace.dat' pt 0 ti ''"
fi


exit $outcome
