#!/bin/bash
if [ -e ./runtest.sh ]; then
 . ./runtest.sh
elif [ -e examples/runtest.sh ]; then
 . examples/runtest.sh
else
 echo wrong PWD
 exit 7
fi

rm -f data.dat
echo 1e-1 1.23456 0.999999999999999 -9.876543210987654321e2 > data.dat

${wasorabin} --no-debug ${testdir}read-shm.was | ${trim} > result-shm.dat &
resultfile=`${wasorabin} --no-debug ${testdir}read-file.was | ${trim}`

if [ "x${resultfile}" = "x`cat result-shm.dat`" ]; then
 if [ "x${resultfile}" = "x0.1 1.23456 1 -987.654" ]; then
  outcome=0
 else
  outcome=99
 fi
else
 outcome=99
fi

exit $outcome
