set ticslevel 0

set size square
unset colorbox

set xtics 1
set ytics 1
set xlabel "x"
set ylabel "y"
set zlabel "s(x,y)"

set terminal pdf
set output "scattered1.pdf"

set view 65,250

splot \
      "s_int.dat" w p pt 57 ps 0.25 palette ti "",\
      "s_def.dat" w p ps 1.5 lt 3 pt 59 ti "definition points"

set terminal png
set output "scattered1.png"

replot



set terminal pdf
set output "scattered2.pdf"

set view 45,195
replot

set terminal png
set output "scattered2.png"

replot




set terminal pdf
set output "scattered3.pdf"

set view 55,100
replot

set terminal png
set output "scattered3.png"

replot


set terminal pdf
set output "scattered2d.pdf"

set xrange [-1:1]
set yrange [-1:1]
plot "s_int.dat" w image ti "",\
     "s_def.dat" w p ps 1.5 lt 3 pt 59 ti ""

set terminal png
set output "scattered2d.png"

replot
