set terminal pdf size 5,3
set output "2010-parametric-fine.pdf"

set xlabel "Npch"
set ylabel "Nsub"
set xtics 5
set ytics 5
set xrange [1:20]
set yrange [1:10]
set size ratio 0.5
unset colorbox
set cbrange [-1:2]
set palette defined (-1 "blue", 0 "green", 1 "yellow", 2 "red")
plot "2010-parametric-fine.dat" w image ti ""

set terminal png size 800,600
set output "2010-parametric-fine.png"
replot
