#!/bin/sh
# 
# Execute this script to clean the directory and leave it as
# a fresh bazaar branch
#
if [ -e Makefile ]; then
  make clean
fi
rm -f *~ src/*~
rm -f README README.pdf INSTALL INSTALL.pdf ChangeLog
rm -f configure.ac Makefile.in Makefile aclocal.m4 configure config.log config.status config.guess config.sub compile depcomp install-sh missing configure.scan autoscan.log test-driver
rm -f src/Makefile src/Makefile.in src/Makefile.am
rm -rf autom4te.cache 

cd examples
./clean.sh
cd ..
