#!/bin/sh
# this file should not be called directly from the shell,
# it ought to be included from within run.sh for each case
if [ -e ./wasora ]; then
 wasorabin="./wasora"
 testdir="examples/"
elif [ -e ./wasora.exe ]; then
 if [ "x`which wine`" = "x" ]; then
   wasorabin="./wasora.exe"
 else
   wasorabin="wine ./wasora.exe"
 fi
 testdir="examples/"
elif [ -e ../wasora ]; then
 wasorabin="../wasora"
 testdir=""
elif [ -e ../wasora.exe ]; then
 if [ "x`which wine`" = "x" ]; then
   wasorabin="../wasora.exe"
 else
   wasorabin="wine ../wasora.exe"
 fi
 testdir=""
elif [ "`which wasora`" != "" ]; then
  wasorabin=`which wasora`
  if [ -e fibonacci.was ]; then
   testdir=""
  elif [ -e examples/fibonacci.was ]; then
   testdir="examples/"
  else
   echo "do not know where the examples are :("
  fi
else
 echo "do not know how to run wasora :("
 exit 1
fi

if [ ! -z "`which dos2unix`" ]; then
 trim="dos2unix"
elif [ ! -z "`which d2u`" ]; then
 trim="d2u"
else
 trim="cat"
fi
