set terminal pdf size 5,3
set output "2010-parametric-coarse.pdf"

set xlabel "Npch"
set ylabel "Nsub"
set xtics 10
set ytics 10
set xrange [1:40]
set yrange [1:40]
set size ratio 1
unset colorbox
set cbrange [-1:2]
set palette defined (-1 "blue", 0 "green", 1 "yellow", 2 "red")
plot "2010-parametric-coarse.dat" u 1:2:3 palette pt 5 ps 1 ti ""

set terminal png size 720,720
set output "2010-parametric-coarse.png"
replot
